Subject: Re: [manet] MAC layer

From: John Stine <[email-masked]>
Date: Mon, 24 Nov 2003 15:03:08 -0500

John,

    The complexity of code assignment depends on your assignment scheme.  If
using a receiver directed coding scheme, assignment can be trivial.  Given n
codes choose one none of your two hop neighbors are using and broadcast it
to your neighbors.  If there are not enough codes, randomly select one on a
periodic basis and broadcast it to your neighbors.  If you have a code but
another node moves in range of you using the same code,  choose a new code
using one of the techniques above.  Even when a node has a neighbor that
uses the same code, it will usually be rare that contenders will be sending
a packet to different destinations that use the same code.  In an access
scheme that I have been working on, this conflict occurred <0.5% of the
contentions in a congested degree 10 network using 10 codes.  Note that in
this network codes were reused 4 times on average in a two-hop range.

John

John Mullen wrote:

> Hi,
>
> I think the answer is simpler than that.  For CDMA to work, someone has
> to decide which channel each user should use.  This is managed by the
> base station in a cellular system, but in a MANET, could be a big
> headache.  An exception to this could be MANETs associated with specific
> organizations, such as the military, police, EMT, etc., in which channel
> assignments could be made and managed via some network plan.  In
> general, however, it would just be too unwieldy to manage.
>
> John Mullen
>
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of
> Manfredi, Albert E
> Sent: Monday, November 24, 2003 7:48 AM
> To: Ioannis C. Avramopoulos; [email-masked]
> Subject: RE: [manet] MAC layer
>
> Hi Guys,
>
> I think Yannis is asking something different.
>
> CDMA, exactly as implemented in 2G and 3G cellular networks, is of
> course not used in IEEE 802.11. For one thing, IEEE 802.11 is not a
> circuit-based technique. But the fundamentals of the scheme, i.e. use of
> direct sequence spread spectrum, are indeed used in IEEE 802.11b.
>
> I think what Yannis was asking is why aren't individual 802.11 LANs
> differentiated by the spreading sequence used in creating chips out of
> bits, as done in CDMA cellular phones. Instead of differentiating purely
> on the basis of the carrier frequency.
>
> You don't use perfectly orthogonal codes in CDMA, as that would require
> synchronized transmissions, impossible to achieve when mobile hosts move
> about. But that doesn't stop 2G and 3G from working. What happens is, as
> more and more users share the same frequncy band, the noise level for
> each user increases, until the noise overwhelms the channel. So you have
> a soft ceiling on number of users that can share a frequncy band, unlike
> TDMA where the limit is hard.
>
> I don't know why 802.11 doesn't use differnt spreading sequences as well
> as different frequency bands to differentiate LANs. One reason might be
> to simplify the design. Another might be that allowing multiple
> spreading sequences in the same frequency band will increase the noise
> level and reduce performance in umpredictable ways.
>
> Bert
>
> > -----Original Message-----
> > From: #LI ZHIFEI# [mailto:[email-masked]]
> > Sent: Monday, November 24, 2003 12:13 AM
> > To: Ioannis C. Avramopoulos; [email-masked]
> > Subject: RE: [manet] MAC layer
> >
> >
> > Hi,
> >
> > I think your question is: why CDMA is not used in ad hoc
> > networks? I also try to figure out the reasons.
> > I have the following reasons:
> > (1) since ad hoc network is fully distributed, how to make
> > the code orthogonal, and how to make the sender be aware of
> > the code it should use before transmitting?
> > (2) again, due to the distributed nature, how to do the power
> > control to cope with the inteference which is ensential for
> > cdma system?
> >
> > However, the above difficulties do not mean that we should
> > not try to apply CDMA into ad hoc networks. In fact, there is
> > a paper talking about CDMA in ad hoc networks
> > in mobihoc 2003. The author is also on this list, and maybe
> > he can give us his understanding.
> >
> > Also, it seems that in the literature about packet radio
> > networks ( ad hoc networks developed for military use during
> > 1970s), they normally use CDMA for security reason (i.e.,
> > jamming as you have mentioned). However, now there are very
> > few papers talking about CDMA in ad hoc networks. Reasearch
> > is really a little bit strange :).
> >
> >
> > Best regards
> > Li zhifei
> >
> > -----Original Message-----
> > From: [email-masked] [mailto:[email-masked]]On
> > Behalf Of Ioannis C. Avramopoulos
> > Sent: dissabte, 22 / novembre / 2003 12:33
> > To: [email-masked]
> > Subject: [manet] MAC layer
> >
> > Dear fellows,
> >
> > I have a question on the MAC layer used in ad hoc networks.
> >
> > In 802.11 nodes share the medium, i.e. they use the same frequency
> > hopping pattern or chip sequence. Had nodes used orthogonal hopping
> > patterns, spectrum utilization would significantly increase and,
> > furthermore, the impact of malicious nodes with respect to jamming
> > would be severely mitigated.
> >
> > I am interested in the reasons that schemes of the latter type are not
>
> > considered in the ad hoc community. I would appreciate it if you could
>
> > point me to any papers discussing such issues.
> >
> > Kind regards,
> > Yannis
> >
> >
> >
> > _______________________________________________
> > manet mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/manet
> >
> > _______________________________________________
> > manet mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/manet
> >
>
> _______________________________________________
> manet mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/manet
>
> _______________________________________________
> manet mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/manet

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet

---

From: "John Mullen" <[email-masked]>
Date: Tue, 25 Nov 2003 08:28:50 -0700

Hi John,

If I'm reading you right, your scheme would require all receivers to
monitor all channels (codes).  I'm probably missing some details here.

John Mullen

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of
John Stine
Sent: Monday, November 24, 2003 1:03 PM
To: John Mullen
Cc: [email-masked]
Subject: Re: [manet] MAC layer

John,

    The complexity of code assignment depends on your assignment scheme.
If using a receiver directed coding scheme, assignment can be trivial.
Given n codes choose one none of your two hop neighbors are using and
broadcast it to your neighbors.  If there are not enough codes, randomly
select one on a periodic basis and broadcast it to your neighbors.  If
you have a code but another node moves in range of you using the same
code,  choose a new code using one of the techniques above.  Even when a
node has a neighbor that uses the same code, it will usually be rare
that contenders will be sending a packet to different destinations that
use the same code.  In an access scheme that I have been working on,
this conflict occurred <0.5% of the contentions in a congested degree 10
network using 10 codes.  Note that in this network codes were reused 4
times on average in a two-hop range.

John

John Mullen wrote:

> Hi,
>
> I think the answer is simpler than that.  For CDMA to work, someone 
> has to decide which channel each user should use.  This is managed by 
> the base station in a cellular system, but in a MANET, could be a big 
> headache.  An exception to this could be MANETs associated with 
> specific organizations, such as the military, police, EMT, etc., in 
> which channel assignments could be made and managed via some network 
> plan.  In general, however, it would just be too unwieldy to manage.
>
> John Mullen
>
> circuit-based technique. But the fundamentals of the scheme, i.e. use 
> of direct sequence spread spectrum, are indeed used in IEEE 802.11b.
>

> bits, as done in CDMA cellular phones. Instead of differentiating 
> purely on the basis of the carrier frequency.
>
> You don't use perfectly orthogonal codes in CDMA, as that would 
> require synchronized transmissions, impossible to achieve when mobile 
> hosts move about. But that doesn't stop 2G and 3G from working. What 
> happens is, as more and more users share the same frequncy band, the 
> noise level for each user increases, until the noise overwhelms the 
> channel. So you have a soft ceiling on number of users that can share 
> a frequncy band, unlike TDMA where the limit is hard.
>
> I don't know why 802.11 doesn't use differnt spreading sequences as 
> well as different frequency bands to differentiate LANs. One reason 
> might be to simplify the design. Another might be that allowing 
> multiple spreading sequences in the same frequency band will increase 
> the noise level and reduce performance in umpredictable ways.
>
> Bert
>
> > I think your question is: why CDMA is not used in ad hoc networks? I

> > also try to figure out the reasons. I have the following reasons:
> > However, the above difficulties do not mean that we should not try 
> > to apply CDMA into ad hoc networks. In fact, there is a paper 
> > talking about CDMA in ad hoc networks in mobihoc 2003. The author is

> > also on this list, and maybe he can give us his understanding.
> >
> > Also, it seems that in the literature about packet radio networks ( 
> > ad hoc networks developed for military use during 1970s), they 
> > normally use CDMA for security reason (i.e., jamming as you have 
> > mentioned). However, now there are very few papers talking about 
> > CDMA in ad hoc networks. Reasearch is really a little bit strange 
> > :).
> >
> >
> > Best regards
> > Li zhifei
> >
> > From: [email-masked] [mailto:[email-masked]]On Behalf Of

> > Ioannis C. Avramopoulos

---

From: John Stine <[email-masked]>
Date: Tue, 25 Nov 2003 13:08:29 -0500

John,

    No, a receiver would only have two channels to choose from, a broadcast
channel and its chosen receiver directed channel.  Without going into too
many details of my work, lets just say I am using a synchronous access
protocol and  contention is resolved by a tournament.  At the end of the
tournament, all nodes are aware of whether the tournament winner will be
sending a broadcast packet or a peer-to-peer packet.  These nodes simply go
to the appropriate channel.  If the upcoming packet is peer-to-peer, all
nodes will listen on their different receiver directed channels.  The
contention winner will transmit the packet on the destination's receiver
directed channel.  If a broadcast packet, all nodes listen on the broadcast
channel and the contention winner uses that channel.

    The tournament creates a distribution of contention winners in an ad hoc
network that are physically separated from each other but well packed.  Not
all can exchange packets simultaneously on a common channel.  The advantage
of channelization is that it  increases the number that can.

John